@echo off

echo **************************************************************
echo *                                                            *
echo *          Competa Installation and Update Script            *
echo *                                                            *
echo *  This should preserve  the configuration files and any     *
echo *       audio or images present in the folder.               *
echo **************************************************************
echo .


:again 
set /p answer=This will stop all Competa software and any audio on air - Continue (Y/N)?
   if /i "%answer:~,1%" EQU "Y" goto heree
   if /i "%answer:~,1%" EQU "N" exit /B
   echo Please type Y for Yes or N for No
goto again

:heree

taskkill /F /IM "Competa Playout.exe"
taskkill /F /IM "Scheduler 2.exe"
taskkill /F /IM "System Helper.exe"

mkdir c:\Playout
rmdir playout /S /q

download https://dl.dropboxusercontent.com/u/2963830/playout.zip /notime /overwrite

copy "C:\playout\Competa\Competa Playout.exe.config"
copy "C:\playout\Scheduler\Scheduler 2.exe.config"
copy "C:\playout\System Helper\System Helper.exe.config"
copy "C:\playout\System Helper\Settings.ini"
copy "C:\playout\System Helper\twtcfg.xml"
copy "C:\playout\Competa\Logo.jpg"
copy "C:\playout\Competa\LargeLogo.jpg"
copy "C:\playout\Competa\LargeLogo.png"
copy "c:\playout\Competa Tag Editor\Genres.txt"
copy "C:\playout\Competa\audiopath.ini" "C-audiopath.ini"
copy "C:\playout\Scheduler\audiopath.ini" "S-audiopath.ini"

rmdir /S /q "c:\playout\Competa"
rmdir /S /q "c:\playout\System Helper"
rmdir /S /q "c:\playout\Scheduler"
rmdir /S /q "c:\playout\Setup Files"
rmdir /S /q "c:\playout\Competa Tag Editor"

7za x playout.zip

del playout.zip

xcopy playout c:\playout /E /Y

rmdir playout /S /q

del "c:\playout\competa\LargeLogo.jpg"
del "c:\playout\competa\LargeLogo.png"

Move "Competa Playout.exe.config" "C:\playout\Competa\Competa Playout.exe.config"
Move "Scheduler 2.exe.config" "C:\playout\Scheduler\Scheduler 2.exe.config"
Move "System Helper.exe.config" "C:\playout\System Helper\System Helper.exe.config"
Move "Settings.ini" "C:\playout\System Helper\Settings.ini"
Move "twtcfg.xml" "C:\playout\System Helper\twtcfg.xml"
Move "Logo.jpg" "C:\playout\Competa\Logo.jpg"
Move "LargeLogo.jpg" "C:\playout\Competa\LargeLogo.jpg"
Move "LargeLogo.png" "C:\playout\Competa\LargeLogo.png"
Move "Genres.txt" "C:\playout\Competa Tag Editor\Genres.txt"
Move "C-audiopath.ini" "C:\playout\Competa\audiopath.ini"
Move "S-audiopath.ini" "C:\playout\Scheduler\audiopath.ini"


Shortcut.exe /W:"c:\playout\competa" /f:"%USERPROFILE%\Desktop\Competa Playout.lnk" /A:C /t:"c:\playout\competa\Competa Playout.exe"
Shortcut.exe /W:"c:\playout\scheduler" /f:"%USERPROFILE%\Desktop\Scheduler.lnk" /A:C /t:"c:\playout\Scheduler\Scheduler 2.exe"
Shortcut.exe /W:"c:\playout\system helper" /f:"%USERPROFILE%\Desktop\System Helper.lnk" /A:C /t:"c:\playout\System Helper\System Helper.exe"




